### Hierarchy

- PickerDropPaneOptions

## Index

### Properties

- cropFiles
- customText
- disableClick
- onClick
- onDragEnter
- onDragLeave
- onDragOver
- onDrop
- onError
- onProgress
- onSuccess
- overlay
- showIcon
- showProgress

## Properties

### Optional cropFiles

cropFiles: boolean

- Defined in lib/picker.ts:202

Toggle the crop UI for dropped files.

### Optional customText

customText: string

- Defined in lib/picker.ts:206

Customize the text content in the drop pane.

### Optional disableClick

disableClick: boolean

- Defined in lib/picker.ts:210

Disable the file input on click. This does not disable the `onClick` callback.

### Optional onClick

onClick: function

- Defined in lib/picker.ts:225

#### Type declaration

- - (evt: any): void

  - #### Parameters

    - ##### evt: any

    #### Returns void

### Optional onDragEnter

onDragEnter: function

- Defined in lib/picker.ts:215

#### Type declaration

- - (evt: DragEvent): void

  - #### Parameters

    - ##### evt: DragEvent

    #### Returns void

### Optional onDragLeave

onDragLeave: function

- Defined in lib/picker.ts:216

#### Type declaration

- - (): void

  - #### Returns void

### Optional onDragOver

onDragOver: function

- Defined in lib/picker.ts:217

#### Type declaration

- - (evt: DragEvent): void

  - #### Parameters

    - ##### evt: DragEvent

    #### Returns void

### Optional onDrop

onDrop: function

- Defined in lib/picker.ts:218

#### Type declaration

- - (evt: DragEvent): void

  - #### Parameters

    - ##### evt: DragEvent

    #### Returns void

### Optional onError

onError: function

- Defined in lib/picker.ts:223

#### Type declaration

- - (files: PickerFileMetadata[]): void

  - #### Parameters

    - ##### files: PickerFileMetadata[]

    #### Returns void

### Optional onProgress

onProgress: function

- Defined in lib/picker.ts:224

#### Type declaration

- - (percent: number): void

  - #### Parameters

    - ##### percent: number

    #### Returns void

### Optional onSuccess

onSuccess: function

- Defined in lib/picker.ts:222

`onSuccess` must be used instead of `onUploadDone`. The drop pane uses its own callbacks for compatibility purposes. This might eventually change.

#### Type declaration

- - (files: PickerFileMetadata[]): void

  - #### Parameters

    - ##### files: PickerFileMetadata[]

    #### Returns void

### Optional overlay

overlay: boolean

- Defined in lib/picker.ts:214

Toggle the full-page drop zone overlay.

### Optional showIcon

showIcon: boolean

- Defined in lib/picker.ts:229

Toggle icon element in drop pane.

### Optional showProgress

showProgress: boolean

- Defined in lib/picker.ts:233

Toggle upload progress display.